var TitleSection = function(game_state){
	this.grabs_input = true
	this.game_state = game_state
}
TitleSection.prototype = {
	on_init: function(){
		this.base = game.add.group()

		this.background_mouse_catch = game.add.sprite(0,  0, "empty")
		this.base.add(this.background_mouse_catch)
		this.background_mouse_catch.inputEnabled = true
		this.background_mouse_catch.input.useHandCursor = true
		this.background_mouse_catch.events.onInputUp.add(function(){
			this.on_press_next()
		}, this)

		this.title_screen = game.add.group()
		this.base.add(this.title_screen)
		this.title_screen.create(0,  0, "title_screen")

		this.title_text1 = game.add.text(600, 550, "Click to play", {
			fontSize: COST_FONT_SIZE,
			fill: "#cb740e",
			stroke: "#1e1e1e",
			strokeThickness: 1,
			wordWrap: true,
			wordWrapWidth: 770,
		})
		this.title_text1.anchor.x = Math.round(this.title_text1.width * 0.5) / this.title_text1.width;
		this.title_text1.tint = 0xff8888
		this.base.add(this.title_text1)
		this.title_timer = game.time.create(false)
		this.title_timer.loop(2000, function(){
			if(this.title_text1.tint != 0xff8888)
				this.title_text1.tint = 0xff8888
			else
				this.title_text1.tint = 0x88ff88
		}, this)
		this.title_timer.start()
	},
	on_remove: function(){
		this.base.destroy()
		this.title_timer.destroy()
	},
	on_key_down: function(key){
		if(key.keyCode == Phaser.Keyboard.SPACEBAR || key.keyCode == Phaser.Keyboard.ENTER)
			this.on_press_next()
	},
	on_press_next: function(){
		console.log("TitleSection.on_press_next")
		this.remove()
	},
}
